Last modified: 2013-06-16 21:23:01 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 40762 - docs/hooks.txt is out of date
docs/hooks.txt is out of date
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Documentation (Other open bugs)
1.19.1
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2012-10-04 08:50 UTC by Niklas Laxström
Modified: 2013-06-16 21:23 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Niklas Laxström 2012-10-04 08:50:49 UTC
Undocumented: SeleniumSettings
Undocumented: SkinTemplateTabs
Documented and not found: LoggableUserIPData
Comment 1 Nemo 2012-10-29 16:34:24 UTC
Still the same.
Comment 2 Quim Gil 2012-11-28 07:34:36 UTC
Is this a task an external volunteer could take? With the current description it is impossible to point it to a newcomer.
Comment 3 Niklas Laxström 2012-11-28 08:56:23 UTC
Sure. What is unclear about it?
Comment 4 Andre Klapper 2012-11-28 09:09:25 UTC
> Undocumented: SeleniumSettings
> Undocumented: SkinTemplateTabs
> Documented and not found: LoggableUserIPData

> What is unclear about it?

How and where to find these three strings in order to document them in https://gerrit.wikimedia.org/r/gitweb?p=mediawiki/core.git;a=blob;f=docs/hooks.txt . Are potential contributors expected to grep on a MW core checkout?
Comment 5 Liangent 2012-11-28 09:20:31 UTC
(In reply to comment #4)
> How and where to find these three strings in order to document them in
> https://gerrit.wikimedia.org/r/gitweb?p=mediawiki/core.git;a=blob;f=docs/hooks.txt
> . Are potential contributors expected to grep on a MW core checkout?

They're already documented somewhere. Potential contributors are only expected to format them for docs/hooks.txt.

http://www.mediawiki.org/wiki/Selenium_Configuration#Configure_Selenium_using_a_Hook_function

http://www.mediawiki.org/wiki/Manual:Hooks/SkinTemplateTabs

http://www.mediawiki.org/wiki/Manual:Hooks/LoggableUserIPData
Comment 6 Niklas Laxström 2013-06-16 21:23:01 UTC
SkinTemplateTabs has been removed.
SeleniumSettings is going to be removed in https://gerrit.wikimedia.org/r/#/c/68729
LoggableUserIPData has been removed.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links